%define fontname mplus

%define _fontdir %{_datadir}/fonts

%define summary_p M+ P is aimed as sophisticated and relaxed design
%define summary_c M+ C is optimized to be proportioned and has two variations
%define summary_m M+ M emphasize the balance of natural letterform and high legibility

Name:       %{fontname}-fonts
Version:    063
Release:    1
Summary:    The Mplus fonts is a superfamily of fonts designed by Coji Morishita

Group:      User Interface/X
License:    mplus
URL:        http://%{fontname}-fonts.sourceforge.jp/%{fontname}-outline-fonts/index-en.html
Source0:    http://downloads.sourceforge.jp/%{fontname}-fonts/6650/%{fontname}-TESTFLIGHT-%{version}.tar.bz2
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch

%description
This is just a dummy to satisfy RPM.


# 1p
%package -n %{fontname}-1p-fonts
Summary:  %summary_p
Group:    User Interface/X

%description -n %{fontname}-1p-fonts
The Mplus fonts are 7 families of fonts, of which 4 are combinations
of proportional font families,variations of fixed-fullwidth fonts,
variations of fixed-halfwidth fonts and each have between 5 - 7
different weights.

The combination of fixed-fullwidth M+ 1P for Japanese and proportional
M+ 1P Type-1 for alphabets. There are 7 weights from Thin to Black.


# 2p
%package -n %{fontname}-2p-fonts
Summary:  %summary_p
Group:    User Interface/X

%description -n %{fontname}-2p-fonts
The Mplus fonts are 7 families of fonts, of which 4 are combinations
of proportional font families,variations of fixed-fullwidth fonts,
variations of fixed-halfwidth fonts and each have between 5 - 7
different weights.

The combination of fixed-fullwidth M+ 2P for Japanese and proportional
M+ 2P Type-2 for alphabets. There are 7 weights from Thin to Black.


# 1c
%package -n %{fontname}-1c-fonts
Summary:  %summary_c
Group:    User Interface/X

%description -n %{fontname}-1c-fonts
The Mplus fonts are 7 families of fonts, of which 4 are combinations
of proportional font families,variations of fixed-fullwidth fonts,
variations of fixed-halfwidth fonts and each have between 5 - 7
different weights.

The combination of fixed-fullwidth M+ 1C for Japanese and proportional
M+ 1C Type-1 for alphabets. There are 7 weights from Thin to Black.


# 2c
%package -n %{fontname}-2c-fonts
Summary:  %summary_c
Group:    User Interface/X

%description -n %{fontname}-2c-fonts
The Mplus fonts are 7 families of fonts, of which 4 are combinations
of proportional font families,variations of fixed-fullwidth fonts,
variations of fixed-halfwidth fonts and each have between 5 - 7
different weights.

The combination of fixed-fullwidth M+ 2C for Japanese and proportional
M+ 2C Type-2 for alphabets. There are 7 weights from Thin to Black.


# 1m
%package -n %{fontname}-1m-fonts
Summary:  %summary_m
Group:    User Interface/X

%description -n %{fontname}-1m-fonts
The Mplus fonts are 7 families of fonts, of which 4 are combinations
of proportional font families,variations of fixed-fullwidth fonts,
variations of fixed-halfwidth fonts and each have between 5 - 7
different weights.

The combination of fixed-fullwidth M+ 1M for Japanese and fixed-halfwidth
M+ 1M Type-1 for alphabets. There are 5 weights from Thin to Bold.


# 2m
%package -n %{fontname}-2m-fonts
Summary:  %summary_m
Group:    User Interface/X

%description -n %{fontname}-2m-fonts
The Mplus fonts are 7 families of fonts, of which 4 are combinations
of proportional font families,variations of fixed-fullwidth fonts,
variations of fixed-halfwidth fonts and each have between 5 - 7
different weights.

The combination of fixed-fullwidth M+ 2M for Japanese and fixed-halfwidth
M+ 2M Type-2 for alphabets. There are 5 weights from Thin to Bold.


# 1mn
%package -n %{fontname}-1mn-fonts
Summary:  %summary_m
Group:    User Interface/X

%description -n %{fontname}-1mn-fonts
The Mplus fonts are 7 families of fonts, of which 4 are combinations
of proportional font families,variations of fixed-fullwidth fonts,
variations of fixed-halfwidth fonts and each have between 5 - 7
different weights.

The combination of fixed-fullwidth M+ 1MN for Japanese and fixed-halfwidth
M+ 1MN Type-1 for alphabets. There are 5 weights from Thin to Bold.


%prep
%setup -q -n %{fontname}-TESTFLIGHT-%{version}


%build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}
chmod 0755 ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}

cp *.ttf ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}/
chmod 0644 ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}/*


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files -n %{fontname}-1p-fonts
%doc LICENSE* README*
%dir %{_fontdir}/%{fontname}
%{_fontdir}/%{fontname}/%{fontname}-1p-*.ttf


%files -n %{fontname}-2p-fonts
%doc LICENSE* README*
%dir %{_fontdir}/%{fontname}
%{_fontdir}/%{fontname}/%{fontname}-2p-*.ttf


%files -n %{fontname}-1c-fonts
%doc LICENSE* README*
%dir %{_fontdir}/%{fontname}
%{_fontdir}/%{fontname}/%{fontname}-1c-*.ttf


%files -n %{fontname}-2c-fonts
%doc LICENSE* README*
%dir %{_fontdir}/%{fontname}
%{_fontdir}/%{fontname}/%{fontname}-2c-*.ttf


%files -n %{fontname}-1m-fonts
%doc LICENSE* README*
%dir %{_fontdir}/%{fontname}
%{_fontdir}/%{fontname}/%{fontname}-1m-*.ttf


%files -n %{fontname}-2m-fonts
%doc LICENSE* README*
%dir %{_fontdir}/%{fontname}
%{_fontdir}/%{fontname}/%{fontname}-2m-*.ttf


%files -n %{fontname}-1mn-fonts
%doc LICENSE* README*
%dir %{_fontdir}/%{fontname}
%{_fontdir}/%{fontname}/%{fontname}-1mn-*.ttf


%changelog
* Wed Oct 31 2018 Michael Perzl <michael@perzl.org> - 063-1
- updated to version 063

* Tue Dec 07 2010 Michael Perzl <michael@perzl.org> - 028-1
- first version for AIX V5.1 and higher
